/* Create PlantWorks Program Group */

arg	PW_Root .

Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs

if PW_Root = '' then do
    say ''
    say 'Create PlantWorks Program Group'
    say ''
    say 'Usage:	FFDSKTOP <PlantWorks Root Directory>'
    say ''
    say '  e.g.	FFDSKTOP C:\FF'
    exit 0
end


PW_Bin=PW_Root||'\BIN'

ARGV.SETENV=PW_Bin||'\FFENV.CMD '||PW_Root
ARGV.ENV='/K '||ARGV.SETENV
ARGV.NETDEF='/C '||PW_Bin||'\PWNETDEF.CMD '||PW_Root
ARGV.RDBS='/C '||PW_Bin||'\FFRDBS.CMD '||PW_Root
ARGV.STARTUP='/C '||PW_Bin||'\FFCMD.CMD '||PW_Root
ARGV.RTL='/K '||ARGV.SETENV||' & start 'PW_Bin'\RTL.EXE'


SetupString = "OBJECTID=<PW_FOLDER>;"
Call SysCreateObject 'WPFolder','PlantWorks','<WP_DESKTOP>',SetupString,'R'

SetupString = "OBJECTID=<PW_START>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=WINDOWABLEVIO;"
SetupString = SetupString || "PARAMETERS="ARGV.STARTUP";"
SetupString = SetupString || "STARTUPDIR="PW_Root";"
Call SysCreateObject 'WPProgram','Start PlantWorks','<PW_FOLDER>',SetupString,'R'

SetupString = "OBJECTID=<PW_FULLSCRN>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=FULLSCREEN;"
SetupString = SetupString || "PARAMETERS="ARGV.ENV";"
SetupString = SetupString || "STARTUPDIR="FILESPEC("drive",PW_Root)"\;"
Call SysCreateObject 'WPProgram','PlantWorks^Full-screen Environment','<PW_FOLDER>',SetupString,'R'

SetupString = "OBJECTID=<PW_WINDOW>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=WINDOWABLEVIO;"
SetupString = SetupString || "PARAMETERS="ARGV.ENV";"
SetupString = SetupString || "STARTUPDIR="FILESPEC("drive",PW_Root)"\;"
Call SysCreateObject 'WPProgram','PlantWorks^Windowed Environment','<PW_FOLDER>',SetupString,'R'

SetupString = "OBJECTID=<PW_CONFIG>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=WINDOWABLEVIO;"
SetupString = SetupString || "PARAMETERS="ARGV.NETDEF";"
SetupString = SetupString || "STARTUPDIR="PW_Root";"
SetupString = SetupString || "MINIMIZED=YES;"
Call SysCreateObject 'WPProgram','Network Definition','<PW_FOLDER>',SetupString,'R'

SetupString = "OBJECTID=<PW_WARN>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=WINDOWABLEVIO;"
SetupString = SetupString || "PARAMETERS="ARGV.RTL";"
SetupString = SetupString || "STARTUPDIR="PW_Root";"
SetupString = SetupString || "MINIMIZED=YES;"
Call SysCreateObject 'WPProgram','View Warning Browser','<PW_FOLDER>',SetupString,'R'

SetupString = "OBJECTID=<PW_RDBS>;"
SetupString = SetupString || "EXENAME=*;"
SetupString = SetupString || "PROGTYPE=WINDOWABLEVIO;"
SetupString = SetupString || "PARAMETERS="ARGV.RDBS";"
SetupString = SetupString || "STARTUPDIR="PW_Root";"
Call SysCreateObject 'WPProgram','Remote Database Server','<PW_FOLDER>',SetupString,'R'
